#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: doorkeeper 5.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "doorkeeper".freeze
  s.version = "5.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/doorkeeper-gem/doorkeeper/issues", "changelog_uri" => "https://github.com/doorkeeper-gem/doorkeeper/blob/main/CHANGELOG.md", "documentation_uri" => "https://doorkeeper.gitbook.io/guides/", "homepage_uri" => "https://github.com/doorkeeper-gem/doorkeeper", "source_code_uri" => "https://github.com/doorkeeper-gem/doorkeeper" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Felipe Elias Philipp".freeze, "Tute Costa".freeze, "Jon Moss".freeze, "Nikita Bulai".freeze]
  s.date = "2021-02-19"
  s.description = "Doorkeeper is an OAuth 2 provider for Rails and Grape.".freeze
  s.email = ["bulaj.nikita@gmail.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "app/assets/stylesheets/doorkeeper/admin/application.css".freeze, "app/assets/stylesheets/doorkeeper/application.css".freeze, "app/controllers/doorkeeper/application_controller.rb".freeze, "app/controllers/doorkeeper/application_metal_controller.rb".freeze, "app/controllers/doorkeeper/applications_controller.rb".freeze, "app/controllers/doorkeeper/authorizations_controller.rb".freeze, "app/controllers/doorkeeper/authorized_applications_controller.rb".freeze, "app/controllers/doorkeeper/token_info_controller.rb".freeze, "app/controllers/doorkeeper/tokens_controller.rb".freeze, "app/helpers/doorkeeper/dashboard_helper.rb".freeze, "app/views/doorkeeper/applications/_delete_form.html.erb".freeze, "app/views/doorkeeper/applications/_form.html.erb".freeze, "app/views/doorkeeper/applications/edit.html.erb".freeze, "app/views/doorkeeper/applications/index.html.erb".freeze, "app/views/doorkeeper/applications/new.html.erb".freeze, "app/views/doorkeeper/applications/show.html.erb".freeze, "app/views/doorkeeper/authorizations/error.html.erb".freeze, "app/views/doorkeeper/authorizations/form_post.html.erb".freeze, "app/views/doorkeeper/authorizations/new.html.erb".freeze, "app/views/doorkeeper/authorizations/show.html.erb".freeze, "app/views/doorkeeper/authorized_applications/_delete_form.html.erb".freeze, "app/views/doorkeeper/authorized_applications/index.html.erb".freeze, "app/views/layouts/doorkeeper/admin.html.erb".freeze, "app/views/layouts/doorkeeper/application.html.erb".freeze, "config/locales/en.yml".freeze, "lib/doorkeeper.rb".freeze, "lib/doorkeeper/config.rb".freeze, "lib/doorkeeper/config/abstract_builder.rb".freeze, "lib/doorkeeper/config/option.rb".freeze, "lib/doorkeeper/config/validations.rb".freeze, "lib/doorkeeper/engine.rb".freeze, "lib/doorkeeper/errors.rb".freeze, "lib/doorkeeper/grant_flow.rb".freeze, "lib/doorkeeper/grant_flow/fallback_flow.rb".freeze, "lib/doorkeeper/grant_flow/flow.rb".freeze, "lib/doorkeeper/grant_flow/registry.rb".freeze, "lib/doorkeeper/grape/authorization_decorator.rb".freeze, "lib/doorkeeper/grape/helpers.rb".freeze, "lib/doorkeeper/helpers/controller.rb".freeze, "lib/doorkeeper/models/access_grant_mixin.rb".freeze, "lib/doorkeeper/models/access_token_mixin.rb".freeze, "lib/doorkeeper/models/application_mixin.rb".freeze, "lib/doorkeeper/models/concerns/accessible.rb".freeze, "lib/doorkeeper/models/concerns/expirable.rb".freeze, "lib/doorkeeper/models/concerns/orderable.rb".freeze, "lib/doorkeeper/models/concerns/ownership.rb".freeze, "lib/doorkeeper/models/concerns/resource_ownerable.rb".freeze, "lib/doorkeeper/models/concerns/reusable.rb".freeze, "lib/doorkeeper/models/concerns/revocable.rb".freeze, "lib/doorkeeper/models/concerns/scopes.rb".freeze, "lib/doorkeeper/models/concerns/secret_storable.rb".freeze, "lib/doorkeeper/oauth.rb".freeze, "lib/doorkeeper/oauth/authorization/code.rb".freeze, "lib/doorkeeper/oauth/authorization/context.rb".freeze, "lib/doorkeeper/oauth/authorization/token.rb".freeze, "lib/doorkeeper/oauth/authorization/uri_builder.rb".freeze, "lib/doorkeeper/oauth/authorization_code_request.rb".freeze, "lib/doorkeeper/oauth/base_request.rb".freeze, "lib/doorkeeper/oauth/base_response.rb".freeze, "lib/doorkeeper/oauth/client.rb".freeze, "lib/doorkeeper/oauth/client/credentials.rb".freeze, "lib/doorkeeper/oauth/client_credentials/creator.rb".freeze, "lib/doorkeeper/oauth/client_credentials/issuer.rb".freeze, "lib/doorkeeper/oauth/client_credentials/validator.rb".freeze, "lib/doorkeeper/oauth/client_credentials_request.rb".freeze, "lib/doorkeeper/oauth/code_request.rb".freeze, "lib/doorkeeper/oauth/code_response.rb".freeze, "lib/doorkeeper/oauth/error.rb".freeze, "lib/doorkeeper/oauth/error_response.rb".freeze, "lib/doorkeeper/oauth/forbidden_token_response.rb".freeze, "lib/doorkeeper/oauth/helpers/scope_checker.rb".freeze, "lib/doorkeeper/oauth/helpers/unique_token.rb".freeze, "lib/doorkeeper/oauth/helpers/uri_checker.rb".freeze, "lib/doorkeeper/oauth/hooks/context.rb".freeze, "lib/doorkeeper/oauth/invalid_request_response.rb".freeze, "lib/doorkeeper/oauth/invalid_token_response.rb".freeze, "lib/doorkeeper/oauth/nonstandard.rb".freeze, "lib/doorkeeper/oauth/password_access_token_request.rb".freeze, "lib/doorkeeper/oauth/pre_authorization.rb".freeze, "lib/doorkeeper/oauth/refresh_token_request.rb".freeze, "lib/doorkeeper/oauth/scopes.rb".freeze, "lib/doorkeeper/oauth/token.rb".freeze, "lib/doorkeeper/oauth/token_introspection.rb".freeze, "lib/doorkeeper/oauth/token_request.rb".freeze, "lib/doorkeeper/oauth/token_response.rb".freeze, "lib/doorkeeper/orm/active_record.rb".freeze, "lib/doorkeeper/orm/active_record/access_grant.rb".freeze, "lib/doorkeeper/orm/active_record/access_token.rb".freeze, "lib/doorkeeper/orm/active_record/application.rb".freeze, "lib/doorkeeper/orm/active_record/mixins/access_grant.rb".freeze, "lib/doorkeeper/orm/active_record/mixins/access_token.rb".freeze, "lib/doorkeeper/orm/active_record/mixins/application.rb".freeze, "lib/doorkeeper/orm/active_record/redirect_uri_validator.rb".freeze, "lib/doorkeeper/orm/active_record/stale_records_cleaner.rb".freeze, "lib/doorkeeper/rails/helpers.rb".freeze, "lib/doorkeeper/rails/routes.rb".freeze, "lib/doorkeeper/rails/routes/abstract_router.rb".freeze, "lib/doorkeeper/rails/routes/mapper.rb".freeze, "lib/doorkeeper/rails/routes/mapping.rb".freeze, "lib/doorkeeper/rails/routes/registry.rb".freeze, "lib/doorkeeper/rake.rb".freeze, "lib/doorkeeper/rake/db.rake".freeze, "lib/doorkeeper/rake/setup.rake".freeze, "lib/doorkeeper/request.rb".freeze, "lib/doorkeeper/request/authorization_code.rb".freeze, "lib/doorkeeper/request/client_credentials.rb".freeze, "lib/doorkeeper/request/code.rb".freeze, "lib/doorkeeper/request/password.rb".freeze, "lib/doorkeeper/request/refresh_token.rb".freeze, "lib/doorkeeper/request/strategy.rb".freeze, "lib/doorkeeper/request/token.rb".freeze, "lib/doorkeeper/secret_storing/base.rb".freeze, "lib/doorkeeper/secret_storing/bcrypt.rb".freeze, "lib/doorkeeper/secret_storing/plain.rb".freeze, "lib/doorkeeper/secret_storing/sha256_hash.rb".freeze, "lib/doorkeeper/server.rb".freeze, "lib/doorkeeper/stale_records_cleaner.rb".freeze, "lib/doorkeeper/validations.rb".freeze, "lib/doorkeeper/version.rb".freeze, "lib/generators/doorkeeper/application_owner_generator.rb".freeze, "lib/generators/doorkeeper/confidential_applications_generator.rb".freeze, "lib/generators/doorkeeper/enable_polymorphic_resource_owner_generator.rb".freeze, "lib/generators/doorkeeper/install_generator.rb".freeze, "lib/generators/doorkeeper/migration_generator.rb".freeze, "lib/generators/doorkeeper/pkce_generator.rb".freeze, "lib/generators/doorkeeper/previous_refresh_token_generator.rb".freeze, "lib/generators/doorkeeper/templates/README".freeze, "lib/generators/doorkeeper/templates/add_confidential_to_applications.rb.erb".freeze, "lib/generators/doorkeeper/templates/add_owner_to_application_migration.rb.erb".freeze, "lib/generators/doorkeeper/templates/add_previous_refresh_token_to_access_tokens.rb.erb".freeze, "lib/generators/doorkeeper/templates/enable_pkce_migration.rb.erb".freeze, "lib/generators/doorkeeper/templates/enable_polymorphic_resource_owner_migration.rb.erb".freeze, "lib/generators/doorkeeper/templates/initializer.rb".freeze, "lib/generators/doorkeeper/templates/migration.rb.erb".freeze, "lib/generators/doorkeeper/views_generator.rb".freeze, "vendor/assets/stylesheets/doorkeeper/bootstrap.min.css".freeze]
  s.homepage = "https://github.com/doorkeeper-gem/doorkeeper".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Starting from 5.5.0 RC1 Doorkeeper requires client authentication for Resource Owner Password Grant\nas stated in the OAuth RFC. You have to create a new OAuth client (Doorkeeper::Application) if you didn't\nhave it before and use client credentials in HTTP Basic auth if you previously used this grant flow without\nclient authentication. \n\nTo opt out of this you could set the \"skip_client_authentication_for_password_grant\" configuration option\nto \"true\", but note that this is in violation of the OAuth spec and represents a security risk.\n\nRead https://github.com/doorkeeper-gem/doorkeeper/issues/561#issuecomment-612857163 for more details.".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "2.5.2.1".freeze
  s.summary = "OAuth 2 provider for Rails and Grape".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<appraisal>.freeze, [">= 0"])
      s.add_development_dependency(%q<capybara>.freeze, [">= 0"])
      s.add_development_dependency(%q<coveralls>.freeze, [">= 0"])
      s.add_development_dependency(%q<danger>.freeze, ["~> 8.0"])
      s.add_development_dependency(%q<database_cleaner>.freeze, ["~> 1.6"])
      s.add_development_dependency(%q<factory_bot>.freeze, ["~> 6.0"])
      s.add_development_dependency(%q<generator_spec>.freeze, ["~> 0.9.3"])
      s.add_development_dependency(%q<grape>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<railties>.freeze, [">= 5"])
      s.add_development_dependency(%q<rake>.freeze, [">= 11.3.0"])
      s.add_development_dependency(%q<rspec-rails>.freeze, [">= 0"])
    else
      s.add_dependency(%q<appraisal>.freeze, [">= 0"])
      s.add_dependency(%q<capybara>.freeze, [">= 0"])
      s.add_dependency(%q<coveralls>.freeze, [">= 0"])
      s.add_dependency(%q<danger>.freeze, ["~> 8.0"])
      s.add_dependency(%q<database_cleaner>.freeze, ["~> 1.6"])
      s.add_dependency(%q<factory_bot>.freeze, ["~> 6.0"])
      s.add_dependency(%q<generator_spec>.freeze, ["~> 0.9.3"])
      s.add_dependency(%q<grape>.freeze, [">= 0"])
      s.add_dependency(%q<railties>.freeze, [">= 5"])
      s.add_dependency(%q<rake>.freeze, [">= 11.3.0"])
      s.add_dependency(%q<rspec-rails>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<appraisal>.freeze, [">= 0"])
    s.add_dependency(%q<capybara>.freeze, [">= 0"])
    s.add_dependency(%q<coveralls>.freeze, [">= 0"])
    s.add_dependency(%q<danger>.freeze, ["~> 8.0"])
    s.add_dependency(%q<database_cleaner>.freeze, ["~> 1.6"])
    s.add_dependency(%q<factory_bot>.freeze, ["~> 6.0"])
    s.add_dependency(%q<generator_spec>.freeze, ["~> 0.9.3"])
    s.add_dependency(%q<grape>.freeze, [">= 0"])
    s.add_dependency(%q<railties>.freeze, [">= 5"])
    s.add_dependency(%q<rake>.freeze, [">= 11.3.0"])
    s.add_dependency(%q<rspec-rails>.freeze, [">= 0"])
  end
end
